package com.spring.boot.web.config;


import javax.sql.DataSource;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.jdbc.core.JdbcTemplate;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceBuilder;

@Configuration
public class CustomDataSource {
	
	@Primary
	@Bean(name="dataSourceOne")
	@ConfigurationProperties("spring.datasource.one")
	public DataSource dataSourceOne(){
	    return DruidDataSourceBuilder.create().build();
	}
	
	@Bean(name="dataSourceTwo")
	@ConfigurationProperties("spring.datasource.two")
	public DataSource dataSourceTwo(){
	    return DruidDataSourceBuilder.create().build();
	}
	
	@Primary
	@Bean(name = "oneJdbcTemplate")
	public JdbcTemplate oneJdbcTemplate(@Qualifier("dataSourceOne") DataSource dataSource) {
	    return new JdbcTemplate(dataSource);
	}

	@Bean(name = "twoJdbcTemplate")
	public JdbcTemplate twoJdbcTemplate(@Qualifier("dataSourceTwo") DataSource dataSource) {
	    return new JdbcTemplate(dataSource);
	}
}
