package com.spring.boot.web.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.core.env.Environment;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import com.spring.boot.web.config.MyConfig;
import com.spring.boot.web.mq.Producer;
import com.spring.boot.web.service.TestService;


@RestController
public class HelloController {
	
	private Logger logger = LoggerFactory.getLogger(HelloController.class);
	
	@Autowired
	private TestService testService;
	
	@Autowired
	private Environment env;
	
	@Value("${server.port}")
	private String port;
	
	@Autowired
	private MyConfig myConfig;
	
	@Autowired
	private Producer producer;
	
	@GetMapping("/hello")
	public String hello() {
		producer.send("你好");
		logger.info("进来了kjdksk");
		return env.getProperty("server.port");
	}
	
	@GetMapping("/hello2")
	public String hello2() {
		return port;
	}
	
	@GetMapping("/get")
	public MyConfig getConfig() {
		return myConfig;
	}
	
	@GetMapping("/count")
	public Long count() {
		return testService.count();
	}
	
	@GetMapping("/count2")
	public Long count2() {
		testService.saveLog();
		System.out.println("************");
		return testService.count2();
	}
	
	@GetMapping("/count3")
	public String count3() {
		return testService.count3();
	}
}
