package com.spring.boot.web.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.scheduling.annotation.Async;

import com.spring.boot.web.document.Student;

public class TestService {
	
	@Autowired
	private JdbcTemplate jdbcTemplate;
	
	@Autowired
	@Qualifier("twoJdbcTemplate")
	private JdbcTemplate jdbcTemplate2;
	
	@Autowired
	private MongoTemplate mongoTemplate;
	
	@Autowired
	private RedisTemplate<String, String> redisTemplate;
	
	public TestService() {
		System.out.println("-------------------------");
	}
	
	public Long count() {
		Student stu = new Student();
		stu.setName("yinjihuan");
		stu.setAge(27);
		mongoTemplate.save(stu);
		return jdbcTemplate.queryForObject("select count(*) from Student", Long.class);
	}
	
	
	public Long count2() {
		redisTemplate.opsForValue().set("yinjihuan", "100");
		return jdbcTemplate2.queryForObject("select count(*) from Student", Long.class);
	}
	
	
	@Cacheable(value="count",keyGenerator="keyGenerator")
	public String count3() {
		System.out.println("-------");
		return "dada";
	}
	
	@Async
	public void saveLog() {
		System.err.println(Thread.currentThread().getName());
	}
}
